Home Rails 5.1.4 not starting and giving me ERROR: worker mode not supported on JRuby or Windows Exiting
Reply: 1

Rails 5.1.4 not starting and giving me ERROR: worker mode not supported on JRuby or Windows Exiting

Omiyera Damilola
1#
Omiyera Damilola Published in 2018-01-02 01:23:26Z

I tried starting my rails server but got the error message below, how can i fix it please

C:\Sites\sample_app>rails s
=> Booting Puma
=> Rails 5.1.4 application starting in development
=> Run `rails server -h` for more startup options
  Please add the following to your Gemfile to avoid polling for changes:
    gem 'wdm', '>= 0.1.0' if Gem.win_platform?
  Please add the following to your Gemfile to avoid polling for changes:
    gem 'wdm', '>= 0.1.0' if Gem.win_platform?
ERROR: worker mode not supported on JRuby or Windows
Exiting
roelofs
2#
roelofs Reply to 2018-01-02 01:28:46Z

According to this issue page for Puma, it can be resolved by commenting out the following line in puma.rb:

workers Integer(ENV['WEB_CONCURRENCY'] || 2)
You need to login account before you can post.

About| Privacy statement| Terms of Service| Advertising| Contact us| Help| Sitemap|
Processed in 0.257115 second(s) , Gzip On .

© 2016 Powered by mzan.com design MATCHINFO